SDL_hid_get_manufacturer_string(3)

NAME
SDL_hid_get_manufacturer_string - Get The Manufacturer String from a HID device.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_hid_get_manufacturer_string(SDL_hid_device *dev, wchar_t *string, size_t maxlen);

FUNCTION PARAMETERS

dev a device handle returned from SDL_hid_open ().

string
    a wide string buffer to put the data into.

maxlen
    the length of the buffer in multiples of wchar_t.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.